All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::gpu::GpuIndexConfig Struct Reference
Inheritance diagram for faiss::gpu::GpuIndexConfig:

## Public Attributes

int | device
| GPU device on which the index is resident.
MemorySpace | memorySpace

## Detailed Description

Definition at line 20 of file GpuIndex.h.

## Member Data Documentation

MemorySpace faiss::gpu::GpuIndexConfig::memorySpace

What memory space to use for primary storage. On Pascal and above (CC 6+) architectures, allows GPUs to use more memory than is available on the GPU.

Definition at line 32 of file GpuIndex.h.

The documentation for this struct was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/gpu/GpuIndex.h